/**
 * The event detail for the grid pro genesis datasource `error` event.
 * @public
 */
export type GridProGenesisDatasourceErrorEventDetail = {
    message: string;
};
/**
 * The error event grid pro genesis datasource.
 * @public
 */
export type GridProGenesisDatasourceErrorEvent = CustomEvent<GridProGenesisDatasourceErrorEventDetail>;
/**
 * The event detail for the grid pro genesis datasource `rowDataSet` event.
 * @public
 */
export type GridProGenesisDatasourceRowDataSetEventDetail = {
    data: any[];
};
/**
 * The rowDataSet event grid pro genesis datasource.
 * @public
 */
export type GridProGenesisDatasourceRowDataSetEvent = CustomEvent<GridProGenesisDatasourceRowDataSetEventDetail>;
/**
 * The event detail for the grid pro genesis datasource `sizeChanged` event.
 * @public
 */
export type GrigProGenesisDatasourceSizeChangedEventDetail = {
    value: number;
    oldValue: number;
};
/**
 * The change size event grid pro genesis datasource.
 * @public
 */
export type GrigProGenesisDatasourceSizeChangedEvent = CustomEvent<GrigProGenesisDatasourceSizeChangedEventDetail>;
//# sourceMappingURL=grid-pro-genesis-datasource.types.d.ts.map